<?php
require_once "XmlScreen.php";

class XmlInputScreen extends XmlScreen {
	
	public function __construct($attributes = array()) {
		//TiptelIPPhoneTextMenu
		
		parent::__construct("YealinkIPPhoneInputScreen", $attributes);
	
	}
	
	public function addInputField($type, $password, $editable, $label, $param, $attrs, $default) {
		
		$this->xw->startElement("InputField");
		$this->xw->writeAttribute("type", $type);
		$this->xw->writeAttribute("password", $password);
		$this->xw->writeAttribute("editable", $editable);
		
		$this->xw->writeElement("Prompt", $label);
		$this->xw->writeElement("Parameter", $param);
		
		if ($attrs != "") {
			$this->xw->writeElement("Selection", "&".$attrs);
		}
		
		if ($default != "") {
			$this->xw->writeElement("Default", $default);
		}

			$this->xw->startElement("SoftKey");
			$this->xw->writeAttribute("index", $index);
			$this->xw->writeElement("Label", $label);
			$this->xw->writeElement("URI", $URI);
		
		
		$this->xw->endElement();
		
	}
	
}